Não dá para passar horas e horas vasculhando arquivos de dados violados para ver se suas credenciais de login vazaram. Por isso, o gerenciador de senhas do Mozilla Firefox, que foi rebatizado como Lockwise, em breve notificará o usuário caso um de seus nomes de usuário ou uma de suas senhas forem expostos em um vazamento de dados e recomendará que ele faça as mudanças necessárias.

O recurso foi visto pela TechDow em relatórios de bugs da Mozilla. Ele já está disponível através de gerenciadores de senhas de terceiros como o 1Password, mas está sendo introduzido como parte do Lockwise da Mozilla, que é integrado ao Firefox e automaticamente sincroniza detalhes de login nas versões de desktop, iOS e Android do navegador.

As senhas e credenciais de login violadas serão sinalizadas na interface Lockwise, com um pequeno ícone de aviso ao lado dos logins que exigem a atenção do usuário. O recurso é uma extensão da funcionalidade adicionada ao Firefox há cerca de um ano, que integrou o serviço de violações de dados Have I Been Pwned, do pesquisador de segurança Troy Hunt, em uma nova ferramenta de segurança chamada Firefox Monitor, que permitia aos usuários verificar manualmente se seus dados pessoais estavam seguros.

O processo será mais automatizado com o gerenciador de senhas Lockwise do Firefox, o que é ótimo, já que as violações acontecem com tanta frequência nos dias de hoje que isso nem gera mais tanta repercussão quanto antigamente, o que só dificulta o trabalho de se manter a par das notícias e proteger seus dados.

A Mozilla pode lançar o recurso e o Lockwise junto com a versão 70 do Firefox. Mas, se você gosta de aventuras e não liga de usar um navegador instável, as novidades também podem ser acessadas usando um pequeno ajuste de configurações nas versões de teste nightly do Firefox.